import { ElementRef, EventEmitter, AfterViewInit } from '@angular/core';
/**
 * CodeMirror component
 * Usage :
 * <codemirror [(ngModel)]="data" [config]="{...}"></codemirror>
 */
export declare class CodemirrorComponent implements AfterViewInit {
    config: any;
    change: EventEmitter<any>;
    focus: EventEmitter<any>;
    blur: EventEmitter<any>;
    cursorActivity: EventEmitter<any>;
    host: ElementRef | undefined;
    private instance;
    private val;
    private codemirror;
    /**
     * Constructor
     */
    constructor();
    get value(): string;
    set value(v: string);
    /**
     * On component view init
     */
    ngAfterViewInit(): void;
    /**
     * Initialize codemirror
     */
    codemirrorInit(config: any): void;
    /**
     * Value update process
     */
    updateValue(value: any): void;
    /**
     * Implements ControlValueAccessor
     */
    writeValue(value: any): void;
    onChange(_: any): void;
    onTouched(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
